update stub
[blender.git] / extern / SConscript
1 #!/usr/bin/python
2
3 Import('env')
4
5 SConscript(['glew/SConscript'])
6 SConscript(['colamd/SConscript'])
7 SConscript(['rangetree/SConscript'])
8
9 if env['WITH_BF_GAMEENGINE']:
10     SConscript(['recastnavigation/SConscript'])
11
12 # now only available in a branch
13 '''
14 if env['WITH_BF_ELTOPO']:
15     SConscript(['eltopo/SConscript'])
16 '''
17
18 if env['WITH_BF_BULLET']:
19     SConscript(['bullet2/src/SConscript'])
20
21 if env['WITH_BF_OPENJPEG'] and env['BF_OPENJPEG_LIB'] == '':
22     SConscript(['libopenjpeg/SConscript'])
23
24 if env['WITH_BF_REDCODE'] and env['BF_REDCODE_LIB'] == '':
25     SConscript(['libredcode/SConscript'])
26
27 if env['WITH_BF_BINRELOC']:
28     SConscript(['binreloc/SConscript']);
29
30 if env['WITH_BF_LZO']:
31     SConscript(['lzo/SConscript'])
32
33 if env['WITH_BF_LZMA']:
34     SConscript(['lzma/SConscript'])
35
36 if env['WITH_BF_LIBMV']:
37     SConscript(['libmv/SConscript'])
38
39 if env['WITH_BF_BOOLEAN']:
40     SConscript(['carve/SConscript'])
41
42 if env['WITH_GHOST_XDND']:
43     # FreeBSD doesn't seems to support XDND protocol
44     if env['OURPLATFORM'] in ('linux', 'openbsd3', 'sunos5', 'aix4', 'aix5'):
45         SConscript(['xdnd/SConscript'])